Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(652)

Issue 5476044: upload.py -m --message option refactoring (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 6 months ago by techtonik
Modified:
1 month, 1 week ago
Reviewers:
Andi Albrecht, mr.gibson40, GvR, M-A
CC:
codereview-discuss_googlegroups.com
Visibility:
Public.

Description

The proposal to change options of upload.py from: 1. on first submission -m, --message gives an issue a title -d, adds description to an issue 2. on issue update -m, --message gives title to a patchset -d ??? updates description ??? To: 1. on first submission -t, --title issue subject -m, --message issue description -F, --file <file> read description from file 2. on issue update -t, --title new patchset title -m, --message message to reviewers -F, --file <file> read message from file As per discussion at https://groups.google.com/d/topic/codereview-discuss/bPyZSIfVHDY/discussion

Patch Set 1 #

Patch Set 2 : Add -m --message option to describe new issue #

Patch Set 3 : -F --file option to read message from file #

Total comments: 5
Unified diffs Side-by-side diffs Delta from patch set Stats (+27 lines, -28 lines) Patch
M upload.py View 1 2 5 chunks +27 lines, -28 lines 5 comments Download

Messages

Total messages: 10
techtonik
The issue is ready for review, except for the part that should attach a reply ...
9 years, 6 months ago (2011-12-08 23:37:26 UTC) #1
Andi Albrecht
LGTM - and sorry for the delay, this year's final is very busy :) We ...
9 years, 6 months ago (2011-12-15 04:59:41 UTC) #2
techtonik
On 2011/12/15 04:59:41, Andi Albrecht wrote: > LGTM - and sorry for the delay, this ...
9 years, 6 months ago (2011-12-16 09:49:44 UTC) #3
techtonik
Forgot to mention - committed as http://code.google.com/p/rietveld/source/detail?r=1aa64f9a92082f11ea69feb348d268ab3265c1a8
9 years, 6 months ago (2011-12-16 09:51:47 UTC) #4
Andi Albrecht
On Fri, Dec 16, 2011 at 10:49 AM, <techtonik@gmail.com> wrote: > On 2011/12/15 04:59:41, Andi ...
9 years, 6 months ago (2011-12-16 09:53:41 UTC) #5
techtonik
On Fri, Dec 16, 2011 at 12:53 PM, Andi Albrecht < albrecht.andi@googlemail.com> wrote: > On ...
9 years, 6 months ago (2011-12-16 12:31:03 UTC) #6
Andi Albrecht
On Fri, Dec 16, 2011 at 1:30 PM, anatoly techtonik <techtonik@gmail.com> wrote: > On Fri, ...
9 years, 4 months ago (2012-02-21 05:00:22 UTC) #7
techtonik
On Tue, Feb 21, 2012 at 8:00 AM, Andi Albrecht <albrecht.andi@googlemail.com> wrote: >> >> 2. ...
9 years, 4 months ago (2012-02-21 05:15:49 UTC) #8
Andi Albrecht
On Tue, Feb 21, 2012 at 6:15 AM, anatoly techtonik <techtonik@gmail.com> wrote: > On Tue, ...
9 years, 4 months ago (2012-02-21 07:22:33 UTC) #9
Mr.gibson40
1 month, 1 week ago (2021-05-09 23:25:16 UTC) #10
Message was sent while issue was closed.
We we we we plan

https://codereview.appspot.com/5476044/diff/5001/upload.py
File upload.py (right):

https://codereview.appspot.com/5476044/diff/5001/upload.py#newcode2214
upload.py:2214: form_fields = [("subject", title)]
F

https://codereview.appspot.com/5476044/diff/5001/upload.py#newcode2250
upload.py:2250: # TODO: [ ] figure out how to send a comment from upload.py
On 2011/12/15 04:59:41, Andi Albrecht wrote:
> Maybe the final "task_complete" call I've introduced recently is a good place
to
> add the message. At least it handles the send_mail flag too.

Acknowledged.

https://codereview.appspot.com/5476044/diff/5001/upload.py#newcode2250
upload.py:2250: # TODO: [ ] figure out how to send a comment from upload.py
On 2011/12/15 04:59:41, Andi Albrecht wrote:
> Maybe the final "task_complete" call I've introduced recently is a good place
to
> add the message. At least it handles the send_mail flag too.

Done.

https://codereview.appspot.com/5476044/diff/5001/upload.py#newcode2250
upload.py:2250: # TODO: [ ] figure out how to send a comment from upload.py
On 2011/12/15 04:59:41, Andi Albrecht wrote:
> Maybe the final "task_complete" call I've introduced recently is a good place
to
> add the message. At least it handles the send_mail flag too.

Done.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b